{ config, pkgs, lib, ... }:
{
  environment.systemPackages = with pkgs; [
    grim
    sway-contrib.grimshot
    wl-clipboard
    mako
  ];

  services.gnome.gnome-keyring.enable = true;

  programs.sway = {
    enable = true;
    wrapperFeatures.gtk = true;
  };

  services.greetd = {
    enable = true;
    settings = {
      default_session = {
        command = "${pkgs.greetd.tuigreet}/bin/tuigreet --time --cmd sway --unsupported-gpu";
        user = "greeter";
      };
    };
  };
}
